Batch assign tasks to user
curl --request PATCH \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id}/tasks/batch-assign \
--header 'Content-Type: application/json' \
--data '
{
"task_ids": [
"<string>"
],
"assigned_to": "<string>"
}
'import requests
url = "https://api.egp.scale.com/v4/evaluations/{evaluation_id}/tasks/batch-assign"
payload = {
"task_ids": ["<string>"],
"assigned_to": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({task_ids: ['<string>'], assigned_to: '<string>'})
};
fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}/tasks/batch-assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"task_entity_parent_id": "<string>",
"task_entity_id": "<string>",
"account_id": "<string>",
"priority": 123,
"assigned_to": "<string>",
"assignment_expires_at": "2023-11-07T05:31:56Z",
"task_entity": {
"application_spec_id": "<string>",
"evaluation_id": "<string>",
"evaluation_dataset_id": "<string>",
"evaluation_dataset_version_num": "<string>",
"test_case_id": "<string>",
"test_case_evaluation_data": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"audit_required": true,
"audit_comment": "<string>",
"test_case_evaluation_data_schema": "GENERATION",
"result": {},
"completed_at": "2023-11-07T05:31:56Z",
"time_spent_labeling_s": 123,
"application_test_case_output_id": "<string>",
"invalidated_at": "2023-11-07T05:31:56Z",
"annotated_by_user_id": "<string>",
"edited_by_user_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"edited_by": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
}
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
Batch assign tasks to user
PATCH
/
v4
/
evaluations
/
{evaluation_id}
/
tasks
/
batch-assign
Batch assign tasks to user
Path Parameters
Body
application/json
Response
TaskResponse · object[] | null
Successful Response
Available options:
EVALUATION_ANNOTATION, EVALUATION_AUDIT, CONTRIBUTOR_ANNOTATION, CONTRIBUTOR_AUDIT The ID of the account that owns the given entity.
Available options:
NOT_READY, PENDING, PENDING_REDO, COMPLETED, FIXED The ID of the user that the task is assigned to.
The date and time when the task assignment expires in ISO format.
The entity that the task is associated with.
- GenerationTestCaseResultResponse
- FlexibleTestCaseResultResponse
Show child attributes
Show child attributes
⌘I

